com.pixelmed.dose

## Class CTDoseCheckDetails

- java.lang.Object
- - com.pixelmed.dose.CTDoseCheckDetails

    public class CTDoseCheckDetails
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `alertAccumulatedCTDIvolForwardEstimate`
`protected java.lang.String` `alertAccumulatedDLPForwardEstimate`
`protected java.lang.String` `alertCTDIvolValue`
`protected boolean` `alertCTDIvolValueConfigured`
`protected java.lang.String` `alertDLPValue`
`protected boolean` `alertDLPValueConfigured`
`protected PersonParticipant` `alertPerson`
`protected java.lang.String` `alertReasonForProceeding`
`protected java.lang.String` `notificationCTDIvolForwardEstimate`
`protected java.lang.String` `notificationCTDIvolValue`
`protected boolean` `notificationCTDIvolValueConfigured`
`protected java.lang.String` `notificationDLPForwardEstimate`
`protected java.lang.String` `notificationDLPValue`
`protected boolean` `notificationDLPValueConfigured`
`protected PersonParticipant` `notificationPerson`
`protected java.lang.String` `notificationReasonForProceeding`

### Constructor Summary

Constructors
Constructor and Description

`CTDoseCheckDetails(boolean alertDLPValueConfigured, java.lang.String alertDLPValue, boolean alertCTDIvolValueConfigured, java.lang.String alertCTDIvolValue, java.lang.String alertAccumulatedDLPForwardEstimate, java.lang.String alertAccumulatedCTDIvolForwardEstimate, java.lang.String alertReasonForProceeding, PersonParticipant alertPerson, boolean notificationDLPValueConfigured, java.lang.String notificationDLPValue, boolean notificationCTDIvolValueConfigured, java.lang.String notificationCTDIvolValue, java.lang.String notificationDLPForwardEstimate, java.lang.String notificationCTDIvolForwardEstimate, java.lang.String notificationReasonForProceeding, PersonParticipant notificationPerson)`

`CTDoseCheckDetails(ContentItem dose)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAlertAccumulatedCTDIvolForwardEstimate()`
`java.lang.String` `getAlertAccumulatedDLPForwardEstimate()`
`java.lang.String` `getAlertCTDIvolValue()`
`boolean` `getAlertCTDIvolValueConfigured()`
`java.lang.String` `getAlertDLPValue()`
`boolean` `getAlertDLPValueConfigured()`
`PersonParticipant` `getAlertPerson()`
`java.lang.String` `getAlertReasonForProceeding()`
`java.lang.String` `getNotificationCTDIvolForwardEstimate()`
`java.lang.String` `getNotificationCTDIvolValue()`
`boolean` `getNotificationCTDIvolValueConfigured()`
`java.lang.String` `getNotificationDLPForwardEstimate()`
`java.lang.String` `getNotificationDLPValue()`
`boolean` `getNotificationDLPValueConfigured()`
`PersonParticipant` `getNotificationPerson()`
`java.lang.String` `getNotificationReasonForProceeding()`
`void` `getStructuredReportFragment(ContentItem root)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### alertDLPValueConfigured

    protected boolean alertDLPValueConfigured

#### alertDLPValue

    protected java.lang.String alertDLPValue

#### alertCTDIvolValueConfigured

    protected boolean alertCTDIvolValueConfigured

#### alertCTDIvolValue

    protected java.lang.String alertCTDIvolValue

#### alertAccumulatedDLPForwardEstimate

    protected java.lang.String alertAccumulatedDLPForwardEstimate

#### alertAccumulatedCTDIvolForwardEstimate

    protected java.lang.String alertAccumulatedCTDIvolForwardEstimate

#### alertReasonForProceeding

    protected java.lang.String alertReasonForProceeding

#### alertPerson

    protected PersonParticipant alertPerson

#### notificationDLPValueConfigured

    protected boolean notificationDLPValueConfigured

#### notificationDLPValue

    protected java.lang.String notificationDLPValue

#### notificationCTDIvolValueConfigured

    protected boolean notificationCTDIvolValueConfigured

#### notificationCTDIvolValue

    protected java.lang.String notificationCTDIvolValue

#### notificationDLPForwardEstimate

    protected java.lang.String notificationDLPForwardEstimate

#### notificationCTDIvolForwardEstimate

    protected java.lang.String notificationCTDIvolForwardEstimate

#### notificationReasonForProceeding

    protected java.lang.String notificationReasonForProceeding

#### notificationPerson

    protected PersonParticipant notificationPerson

### Constructor Detail

#### CTDoseCheckDetails

    public CTDoseCheckDetails(boolean alertDLPValueConfigured,
                      java.lang.String alertDLPValue,
                      boolean alertCTDIvolValueConfigured,
                      java.lang.String alertCTDIvolValue,
                      java.lang.String alertAccumulatedDLPForwardEstimate,
                      java.lang.String alertAccumulatedCTDIvolForwardEstimate,
                      java.lang.String alertReasonForProceeding,
                      PersonParticipant alertPerson,
                      boolean notificationDLPValueConfigured,
                      java.lang.String notificationDLPValue,
                      boolean notificationCTDIvolValueConfigured,
                      java.lang.String notificationCTDIvolValue,
                      java.lang.String notificationDLPForwardEstimate,
                      java.lang.String notificationCTDIvolForwardEstimate,
                      java.lang.String notificationReasonForProceeding,
                      PersonParticipant notificationPerson)

#### CTDoseCheckDetails

    public CTDoseCheckDetails(ContentItem dose)

### Method Detail

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getAlertDLPValueConfigured

    public boolean getAlertDLPValueConfigured()

#### getAlertDLPValue

    public java.lang.String getAlertDLPValue()

#### getAlertCTDIvolValueConfigured

    public boolean getAlertCTDIvolValueConfigured()

#### getAlertCTDIvolValue

    public java.lang.String getAlertCTDIvolValue()

#### getAlertAccumulatedDLPForwardEstimate

    public java.lang.String getAlertAccumulatedDLPForwardEstimate()

#### getAlertAccumulatedCTDIvolForwardEstimate

    public java.lang.String getAlertAccumulatedCTDIvolForwardEstimate()

#### getAlertReasonForProceeding

    public java.lang.String getAlertReasonForProceeding()

#### getAlertPerson

    public PersonParticipant getAlertPerson()

#### getNotificationDLPValueConfigured

    public boolean getNotificationDLPValueConfigured()

#### getNotificationDLPValue

    public java.lang.String getNotificationDLPValue()

#### getNotificationCTDIvolValueConfigured

    public boolean getNotificationCTDIvolValueConfigured()

#### getNotificationCTDIvolValue

    public java.lang.String getNotificationCTDIvolValue()

#### getNotificationDLPForwardEstimate

    public java.lang.String getNotificationDLPForwardEstimate()

#### getNotificationCTDIvolForwardEstimate

    public java.lang.String getNotificationCTDIvolForwardEstimate()

#### getNotificationReasonForProceeding

    public java.lang.String getNotificationReasonForProceeding()

#### getNotificationPerson

    public PersonParticipant getNotificationPerson()

#### getStructuredReportFragment

    public void getStructuredReportFragment(ContentItem root)
                                     throws DicomException

Throws:
  `DicomException`